php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #48013 soap/php_sdl.c wsdl parser don't support the 2.0 format, a w3c recommendation
Submitted: 2009-04-19 04:58 UTC Modified: 2011-01-02 02:39 UTC
Votes:21
Avg. Score:4.5 ± 1.0
Reproduced:15 of 16 (93.8%)
Same Version:6 (40.0%)
Same OS:4 (26.7%)
From: rapsys at free dot fr Assigned:
Status: Open Package: SOAP related
PHP Version: 5.2.9 OS: Mandriva Linux 2009.1
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: rapsys at free dot fr
New email:
PHP Version: OS:

 

 [2009-04-19 04:58 UTC] rapsys at free dot fr
Description:
------------
I tried to use php-soap extention with a wsdl 2.0 format file and I discovered that the parser only understand old wsdl 1.1 format.

The 1.1 format documentation is there :
http://www.w3.org/TR/wsdl

A wsdl 1.1 example :
http://devzone.zend.com/node/view/id/689#Heading7

The 2.0 format june 2007 w3c recommandation is there :
http://www.w3.org/TR/wsdl20/

A wsdl 2.0 example :
http://en.wikipedia.org/wiki/Web_Services_Description_Language#Example_WSDL_file

Reproduce code:
---------------
<?php
$client = new SoapClient(
    '/path/wsdl/example.wsdl'
);

Actual result:
--------------
PHP Fatal error:  SOAP-ERROR: Parsing WSDL: Couldn't find <definitions> in '/path/wsdl/example.wsdl' in /path/client.php on line 4
PHP Stack trace:
PHP   1. {main}() /path/client.php:0
PHP   2. SoapClient->SoapClient() /path/client.php:4

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2009-04-19 05:04 UTC] me at google dot com
" The SOAP extension can be used to write SOAP Servers and Clients. It supports subsets of ? SOAP 1.1, ? SOAP 1.2 and ? WSDL 1.1 specifications. "
 [2011-01-02 02:39 UTC] jani@php.net
-Package: Feature/Change Request +Package: SOAP related
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun Dec 15 21:01:26 2019 UTC